@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM Licensed Materials - Property of IBM 
@REM 5724-L01, 5655-N53, 5724-I82, 5655-R15
@REM (C) Copyright IBM Corporation 2012. All rights reserved. 
@REM US Government Users Restricted Rights - Use, duplication, or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM *************************************************************************
@REM END COPYRIGHT

@setlocal
@echo off

@REM Bootstrap values ...
call "%~dp0..\..\..\.."\bin\setupCmdLine.bat

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

call %WAS_HOME%"\bin\wsadmin.bat"  -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/utilities.jar" -f %WAS_HOME%"/BPM/Lombardi/tools/proxy/configureProxyServer.py" %*

GOTO END

:help
ECHO Usage:
ECHO.
ECHO    configureProxyServer.bat [options...]
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -d, --deployment-environment=DE_NAME       Specify the deployment
ECHO                                               environment name.
ECHO    -n, --node=node_name                       Node on which to deploy proxy
ECHO                                               environment name.
ECHO        --no-sync                              Do not force the immediate
ECHO                                               sync of changes across nodes.
ECHO        --no-save                              Do not save configuration changes.
ECHO.

GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL